diff mbox series

[v1,1/2] selftest/kexec: fix "ignored null byte in input" warning

Message ID 20211222213052.6771-2-zohar@linux.ibm.com (mailing list archive)
State New, archived
Headers show
Series selftest/kexec: minor update to the existing test | expand

Commit Message

Mimi Zohar Dec. 22, 2021, 9:30 p.m. UTC
Instead of assigning the string to a variable, which might contain a
null character, redirect the output and grep for the string directly.

Signed-off-by: Mimi Zohar <zohar@linux.ibm.com>
---
Comment: this patch was previously posted as part of Nageswara's larger
 patch set.

 tools/testing/selftests/kexec/test_kexec_file_load.sh | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Comments

Petr Vorel Dec. 23, 2021, 8:41 a.m. UTC | #1
Hi Mimi,

> Instead of assigning the string to a variable, which might contain a
> null character, redirect the output and grep for the string directly.

Looks reasonable to me.

Reviewed-by: Petr Vorel <pvorel@suse.cz>

Kind regards,
Petr
diff mbox series

Patch

diff --git a/tools/testing/selftests/kexec/test_kexec_file_load.sh b/tools/testing/selftests/kexec/test_kexec_file_load.sh
index 2ff600388c30..99f6fc23ee31 100755
--- a/tools/testing/selftests/kexec/test_kexec_file_load.sh
+++ b/tools/testing/selftests/kexec/test_kexec_file_load.sh
@@ -97,10 +97,11 @@  check_for_imasig()
 check_for_modsig()
 {
 	local module_sig_string="~Module signature appended~"
-	local sig="$(tail --bytes $((${#module_sig_string} + 1)) $KERNEL_IMAGE)"
 	local ret=0
 
-	if [ "$sig" == "$module_sig_string" ]; then
+	tail --bytes $((${#module_sig_string} + 1)) $KERNEL_IMAGE | \
+		grep -q "$module_sig_string"
+	if [ $? -eq 0 ]; then
 		ret=1
 		log_info "kexec kernel image modsig signed"
 	else